.mainheader {
    -webkit-transition: 0.3s;
    transition: 0.3s;
    position: relative;
    z-index: 10;
    width: 100%;
    top: 0;
    line-height: 0;
    top: 0;
}

.header-right {
    display: inline-flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
}

.h_wrapper {
    padding: 0 0px;
    margin: 0 auto;
    width: 100%;
    background: #F0F2F4;
    position: relative;
}

.main-menu-wrap {
    display: inline-block;
    width: 100%;
    line-height: 0;
}

.nav-menu-wrapper .main-menu>li>a:after,
.nav-menu-wrapper .main-menu>li.menu-item-has-children:hover>a:after,
.nav-menu-wrapper .main-menu>li>.submenu>li:hover>a:after {
    left: calc(50% - 15px);
    opacity: 1;
    transition: 1s;
}

p a:hover,
ul li a:hover,
ol li a:hover {
    text-decoration: none;
}

.nav-menu-wrapper {
    display: inline-flex;
    margin: 0;
    flex-grow: 1;
}

.nav-menu-wrapper .main-menu>li>a:not(.button) {
    padding: 25px 0px;
    color: var(--black);
    font-weight: 600;
    font-size: 16px;
    line-height: 1.25;
    letter-spacing: 0px;
    text-transform: uppercase;
    text-decoration: none;
}

.nav-menu-wrapper .main-menu>li a:hover,
.nav-menu-wrapper .main-menu>li.active a {
    color: var(--themeyellow);
}

.nav-menu-wrapper .main-menu>li a i.menudrop {
    margin-left: 7px;
    font-weight: 600;
    /* color: #fff; */
}

.main-menu>li {
    position: relative;
    display: inline-flex;
    text-align: center;
    align-items: center;
    margin-bottom: 0;
    padding: 0 0px;
    height: 100%;

    &>a>i {
        font-size: 17px !important;
        line-height: 0.7;
        position: relative;
        top: 0px;
    }
}

.main-menu>li:hover>.submenu {
    -webkit-transform: scaleY(0);
    transform: scaleY(1);
    opacity: 1;
    visibility: visible;
}

.main-menu .submenu li {
    display: block;
    width: 100%;
}

.menu_level_1>li:not(:last-child) {
    margin-bottom: 15px;
}

.main-menu li>.submenu>li:not(:last-child) {
    margin-bottom: 12px;
}

.menu_level_2 {
    margin-top: 10px;
}

ul.menu_level_1 ul.menu_level_2>li:not(:last-of-type) {
    padding: 0 0 5px 0;
}

.nav-menu-wrapper .main-menu>li.menu-item-has-children>a:after {
    display: block;
    content: "";
    position: absolute;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition-timing-function: cubic-bezier(0.58, 0.3, 0.005, 1);
    transition-timing-function: cubic-bezier(0.58, 0.3, 0.005, 1);
    bottom: -7px;
    background-color: var(--themeyellow);
    width: 15px;
    height: 15px;
    left: calc(50% - 10px);
    opacity: 0;
    transform: scaleX(-0.6) rotate(45deg);
    border: 0px solid #0F2E1F;
}

ul.main-menu>li.active>a:after,
ul.main-menu>li:hover>a:after {
    opacity: 1;
}

ul.main-menu>li.hidden,
.togglebtn,
.menulogo {
    display: none;
}

ul.main-menu .submenu {
    left: 0%;
    position: absolute;
    top: 100%;
    width: 100%;
    text-align: left;
    border-radius: 0 0 0px 0px;
    z-index: 10;
    background: #EEEEEE;
    border-top: 2px solid var(--themeyellow);
    left: calc(50% - 85px);
    margin: -0px auto 0;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    transform-origin: 0 0;
    overflow: hidden;
    min-width: 212px;
    padding: 40px 33px 45px;
}

ul.main-menu .submenu>ul {
    margin-bottom: 0;
}

ul.main-menu>li:hover>.submenu {
    opacity: 1;
    visibility: visible;
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
    /* display: block; */
}

ul.main-menu .submenu.menu_level2 {
    width: calc(780px - 340px);
    left: 340px;
    right: unset;
    top: 0;
    display: flex;
    flex-wrap: wrap;
    background: transparent;
    box-shadow: none;
    transform: none;
    display: none;
    height: 100%;
    max-height: 100%;
    overflow: auto;
    padding: 0;
    border: 0;
    margin: 0;
}

ul.main-menu .submenu.menu_level2 ul {
    display: inline-block;
    flex-wrap: wrap;
}

div.submenu.menu_level2::-webkit-scrollbar {
    width: 5px;
}

div.submenu.menu_level2::-webkit-scrollbar-track {
    background: transparent;
}

div.submenu.menu_level2::-webkit-scrollbar-thumb {
    background-color: #c1c1c1;
    border-radius: 20px;
    border: 3px solid #c1c1c1;
}

li.menu-item-has-children.menu-item-hover div.submenu.menu_level2 {
    opacity: 1;
    visibility: visible;
    z-index: 11;
}

div.submenu.menu_level2 li {
    width: 100%;
    float: none;
    margin-bottom: 15px;
    display: inline-block;
}

div.submenu.menu_level2 a {
    padding-left: 20px;
    font-size: 14px;
    font-weight: 500;
}

div.submenu.menu_level2 a:after {
    content: "";
    position: absolute;
    top: 4px;
    left: 0;
    width: 12px;
    height: 16px;
    background: transparent url(../images/map-pin.svg) no-repeat;
    background-size: contain;
    filter: brightness(0) saturate(100%) invert(51%) sepia(77%) saturate(3717%) hue-rotate(171deg) brightness(99%) contrast(86%);
}

ul.main-menu nav ul>li:first-child img {
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
}

.submenu.childmenu li.menu-item-has-children a img {
    filter: brightness(0) !important;
    margin-right: 15px;
    top: 1px;
    position: relative;
}

ul.main-menu li.has-sub:hover:after {
    opacity: 1;
}

ul.main-menu .submenu .fa-angle-down.menudrop {
    position: absolute;
    width: 22px;
    height: 22px;
    background: transparent;
    border-radius: 100%;
    right: 10px;
    top: 0;
    bottom: 0;
    margin: auto;
    color: var(--primary);
    border: 0px solid var(--white);
    font-size: 20px;
    text-align: center;
    padding: 0 0 0 0;
    line-height: 22px;
    transition: all 0.3s linear;
    -webkit-transition: all 0.3s linear;
}

.fixed-header .nav-menu-wrapper .main-menu>li.active>a,
.fixed-header .nav-menu-wrapper .main-menu>li:hover>a {
    color: var(--themeyellow);
}

.fixed-header .nav-menu-wrapper .main-menu>li:hover>a {
    color: var(--themeyellow);
}

body.menuoverlay main {
    filter: blur(4px);
}

.fixed-header .mainheader {
    -moz-transition: height 0.3s;
    will-change: height ease;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    -webkit-animation: 0.3s ease-in-out 0s normal none 1 running fadeInDown;
    animation: 0.3s ease-in-out 0s normal none 1 running fadeInDown;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    z-index: 99;
}

.nav-logo {
    min-width: 383px;
    width: 383px;
}

.nav-logo>a {
    display: inline-flex;
    align-self: center;
    width: 100%;
}

.header-right .btnlist {
    column-gap: 10px;
    align-items: center;
}

/* --------------- areas-we-serve  menu ---------------- */
li.areas_menu>.submenu {
    width: 540px;
    background: #fff;
    left: calc(100% - 310px);
    padding: 20px 30px 20px;
    border-radius: 4px;
}

.area-list-title {
    font-size: 16px;
    color: #505157;
    font-weight: 700;
    padding: 0;
    margin-bottom: 20px;
}

ul.areas-list-header {
    display: inline-block;
    width: 100%;
    column-count: 3;
}

ul.areas-list-header li {
    margin-bottom: 18px;
}

.nav-menu-wrapper .main-menu ul.areas-list-header>li>a {
    display: inline-flex;
    align-items: flex-start;
    width: 100%;
    padding: 0;
    position: relative;
    z-index: 0;
    padding: 0px 0px 0 18px;
    border: 0px solid transparent;
    height: 100%;
    font-size: 16px;
    letter-spacing: 0;
    font-weight: normal;
    color: #101010;
    line-height: 1;
    margin: 0;
    text-decoration: none;
}

.nav-menu-wrapper .main-menu ul.areas-list-header>li>a::after {
    content: '';
    position: absolute;
    height: 15px;
    width: 13px;
    background: transparent url(../images/icon/menu-location.svg) no-repeat center;
    background-size: contain;
    top: 0px;
    left: 0;
}

.nav-menu-wrapper .main-menu ul.areas-list-header>li.active>a {
    color: var(--themeyellow);
}

.submenu.menu_level2>li {
    width: 100%;
}

ul.main-menu .submenu ul.services-list-header li .submenu.menu_level2 {
    flex-direction: column;
    padding: 0 30px 7px 45px;
    margin-top: 40px;
}



/* ----------------- areas-we-serve  menu ------------------- */

main {
    margin-top: 111px;
}

.nav-menu-wrapper>nav {
    width: 100%;
}

li.services-menu-list>.submenu {
    width: 780px;
    padding: 0;
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: space-between;
    left: calc(50% - 350px);
    background-color: #ffffff;
    border-radius: 0 0 5px 5px;
    border-top: 2px solid var(--themeyellow);
    top: calc(100%);
    min-height: 500px;
}

.service-list-wraper {
    width: 100%;
    background: #f2f2f2;
    padding: 50px 40px 50px 50px;
    max-width: 340px;
    row-gap: 0;
    border-right: 1px solid rgba(0, 0, 0, .1);
}

ul.services-list-header {
    list-style: none;
    display: inline-block;
    padding-right: 10px;
    margin-bottom: 0;
    max-height: 255px;
    overflow-y: auto;
}

.main-menu .submenu ul.services-list-header>li {
    display: inline-flex;
    width: 100%;
    padding: 0px 0px;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    background: transparent;
    overflow: hidden;
    margin: 0;

    &:not(:last-child) {
        margin-bottom: 20px;
    }
}

ul.main-menu ul.services-list-header li.menu-item-hover>.submenu.menu_level2 {
    opacity: 1;
    visibility: visible;
    -webkit-transform: scaleY(1);
    transform: none;
    display: flex;
    background-color: transparent;
    box-shadow: none;
}

/* li.services-menu-list>.submenu .services-menu-img {
    border-radius: 10px;
    max-width: 300px;
} */

/* li.services-menu-list>.submenu .header-brand-list .img-wrap img {
    filter: grayscale(1);
}

li.services-menu-list>.submenu .header-brand-list {
    display: inline-flex;
    width: 100%;
    justify-content: space-between;
    min-height: 100px;
    align-items: center;
    gap: 10px;
    position: relative;
    z-index: 1;
}

li.services-menu-list>.submenu::after {
    content: '';
    position: absolute;
    height: 100px;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #F3F3F3;
    z-index: 0;
} */

.menu-cta {
    display: inline-block;
    width: 360px;
    bottom: 30px;
    position: absolute;
    right: 30px;
    z-index: 11;
    background: var(--themeyellow);
    border-radius: 8px;
    padding: 20px;
}

.menu-cta-info .heading-20 {
    font-size: 20px;
    font-weight: 700;
    color: var(--white);
    line-height: 1.2;
    letter-spacing: .72px;
    margin-bottom: 15px;
}

.menu-cta .menu-cta-info .btnlist .button {
    font-size: 14px;
    padding: 14px 20px;
    min-width: 140px;
}

.menu-cta .menu-cta-info .btnlist .btn-border-grey {
    border: 2px solid var(--white);
    color: var(--white);

    &:hover {
        color: var(--themeyellow);
    }
}

.main-menu .submenu ul.services-list-header>li>a {
    font-weight: 500;
    position: relative;
    color: var(--primary);
    line-height: 1.2;
    text-decoration: none;
    margin-bottom: 0px;
    text-transform: capitalize;
}

.main-menu .submenu ul.services-list-header>li.active>a {
    color: var(--themeyellow);
}

.main-menu .submenu ul.services-list-header li .submenu.menu_level2 li.active>a {
    color: var(--themeyellow);
    text-decoration: underline;
}

.main-menu .submenu ul.services-list-header>li>a>i.menudrop {
    display: none;
}

.main-menu .submenu ul.services-list-header>li>a::after {
    content: '';
    position: absolute;
    height: 11px;
    width: 11px;
    right: 0;
    top: 4px;
    background: transparent url(../images/icon/arrow-right.svg) no-repeat center;
    background-size: contain;
}

.main-menu .submenu ul.services-list-header>li>a:hover::after,
.main-menu .submenu ul.services-list-header>li.active>a::after {
    filter: none;
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
}

.main-menu .submenu ul.services-list-header>li>a>p {
    color: #000000;
}

.service_text {
    font-size: 18px;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 1.2;
    font-family: var(--sitefonts);
    color: var(--themeyellow);
    background: #fff;
    z-index: 1;
    margin-bottom: 6px;
}

.service-context-wrap {
    max-height: 200px;
    overflow-y: auto;

    & p {
        padding-right: 25px;
        font-size: 14px;
        line-height: 1.4;
    }
}

:is(.service_text_wrap p):last-child {
    margin-bottom: 0;
}

.main-menu>li.menu-btn>a {
    display: inline-flex;
    align-items: center;
    font-size: 16px;
    letter-spacing: 0;
    line-height: 1;
    color: #fff;
    text-transform: capitalize;
    font-weight: normal;
    padding: 15px 20px;
    background-color: var(--themeyellow);
    gap: 12px;
    border-radius: 5px;
}

.main-menu>li.menu-btn>a:hover {
    background: #000;
    color: #fff !important;
}

.nav-menu-wrapper .submenu.menu_level2>li>a:not(.button) {
    letter-spacing: 0;
    line-height: 1.25;
    padding-left: 0;
    text-decoration: none;
}

.submenu.menu_level2>li>a:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 11px;
    width: 11px;
    background: transparent url(../images/icon/arrow-right-dark.svg) no-repeat center;
    background-size: contain;
    bottom: 0;
    margin: auto;
}

.search-wrap {
    max-width: 275px;
    display: inline-block;
    width: 100%;
    overflow: hidden;
    border-radius: 5px;
}

.search-wrap .aws-search-field.form-control {
    background: #F3F3F4;
    height: 40px;
    padding: 12px 40px 12px 20px;
}

.aws-search-form {
    display: inline-block;
    width: 100%;
    position: relative;
}

.aws-search-btn {
    position: absolute;
    height: 40px;
    width: 40px;
    right: 0;
    top: 0;
    background: transparent;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.aws-search-btn .aws-search-btn_icon {
    display: inline-block;
    text-align: center;
}

/* ---------------------thirty56.com ------------------------------- */

.heading-24 {
    font-size: 24px;
    line-height: 1.2;
    color: #fff;
    font-weight: bold;
}

.top-header {
    display: inline-block;
    width: 100%;
    line-height: 100%;
    text-align: center;
    background-color: var(--black);
    padding-block: 20px;

    &>.flex-container {
        justify-content: space-between;
        align-items: center;

        & .header-address-wrap {

            & .header-add-detail {
                gap: 8px;
                align-items: center;
                margin-bottom: 10px;

                &:last-child {
                    margin-bottom: 0;
                }

                & .ht-add-content {
                    font-family: var(--sitefonts);
                    font-size: 14px;
                    line-height: 1.1;
                    font-weight: normal;
                    letter-spacing: 0.14px;
                    color: #BEBEBE;
                }
            }
        }
    }
}

img.side-sticky-img {
    position: absolute;
    right: 11px;
    top: 0;
    bottom: 0;
    margin: auto;
}

ul.main-menu>li.about-menu .submenu {
    background: #343434;
    padding: 25px 15px 15px;

    & .list-header>li {
        padding-bottom: 15px;
        border-bottom: 1px dashed rgb(185 152 49 / 20%);
        margin-bottom: 15px;
    }
}

@media (min-width: 991.98px) {

    .fixed-header .togglebtn {
        top: 30px;
    }

    .nav-menu-wrapper .main-menu {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        height: 100%;
        position: static;
        column-gap: 62px;
        justify-content: center;
        padding-inline: 15px;
        margin-inline: auto;
        max-width: 1470px;
    }

    .main-menu>li.has-sub {
        position: static;
    }
}

@media (max-width: 1599px) {
    .header-right .btnlist {
        column-gap: 10px;
    }

    .nav-menu-wrapper>nav {
        width: 100%;
        padding: 0 0px;
    }

    .nav-menu-wrapper .main-menu {
        column-gap: 45px;
    }
}

@media (max-width: 1439.98px) {
    .nav-menu-wrapper .main-menu {
        padding: 0 0px 0 0;
        justify-content: center;
    }

    .nav-menu-wrapper .main-menu>li>a {
        font-size: 14px;
    }

    .nav-menu-wrapper .main-menu {
        column-gap: 22px;
    }

    .service-list-wraper {
        padding: 40px 30px 40px 40px;
    }

    ul.main-menu .submenu ul.services-list-header li .submenu.menu_level2 {
        padding: 0 30px 7px 35px;
        margin-top: 30px;
    }

    .menu-cta {
        width: 375px;
        padding: 15px;
    }

    li.services-menu-list>.submenu {
        left: calc(50% - 240px);
    }

    li.areas_menu>.submenu {
        left: calc(100% - 420px);
        padding: 20px;
        row-gap: 30px;
    }

}

@media (max-width: 1199px) {
    .nav-logo {
        min-width: 225px;
        width: 225px;
    }

    .top-header {
        padding-block: 15px;

        &>.flex-container {
            & .header-address-wrap {
                & .header-add-detail {
                    gap: 8px;
                    align-items: center;
                    margin-bottom: 5px;

                    & .ht-add-content {
                        font-size: 12px;
                    }
                }
            }
        }
    }

    .header-right .btnlist {
        column-gap: 5px;
    }

    .header-right .btnlist>a.button {
        font-size: 14px;
        padding: 13px 8px;
        min-width: 130px;
        min-height: 45px;

        &>img {
            display: none;
        }
    }

    .nav-menu-wrapper .main-menu {
        column-gap: 10px;
    }

    .nav-menu-wrapper {
        padding-left: 0px;
    }

    .nav-menu-wrapper .main-menu>li>a:not(.button) {
        font-size: 13px;
        padding: 15px 0;
    }

    .main-menu>li {
        &>a>i {
            font-size: 20px !important;
            margin-left: 4px;
        }
    }

    .area-list-title {
        margin-bottom: 10px;
    }

    ul.areas-list-header li {
        margin-bottom: 12px;
    }

    .nav-menu-wrapper .main-menu ul.areas-list-header>li>a {
        font-size: 14px;
    }

    li.services-menu-list>.submenu {
        left: calc(50% - 200px);
    }

    ul.services-list-header {
        max-width: 275px;
    }

    .main-menu .submenu ul.services-list-header>li {
        &:not(:last-child) {
            margin-bottom: 15px;
        }
    }

    /* li.services-menu-list>.submenu .header-brand-list {
        min-height: 80px;
    } */

    /* li.services-menu-list>.submenu::after {
        height: 80px;
    } */

    .nav-menu-wrapper .main-menu>li a i.menudrop {
        margin-left: 5px;
        font-size: 15px !important;
        line-height: 1;
    }

    .main-menu .submenu ul.services-list-header>li>a {
        font-size: 14px;
    }
}

@media (max-width: 991px) {
    html.menuhidden {
        overflow-y: hidden;
    }

    .togglebtn span {
        position: relative;
        display: block;
        margin-top: 8px;
        vertical-align: top;
        margin-top: 0;
        margin: 0 auto;
    }

    .togglebtn span::before {
        top: 7px;
        width: 24px;
        height: 2px;
        border-radius: 2px;
    }

    .togglebtn span {
        width: 24px;
        height: 2px;
        border-radius: 2px;
        border: 0 solid var(--themeyellow);
        margin-top: 0px;
    }

    .togglebtn span::after {
        width: 24px;
        height: 2px;
        border-radius: 2px;
        border: 0 solid var(--themeyellow);
        top: 14px;
    }

    .togglebtn span::before,
    .togglebtn span::after {
        content: "";
        position: absolute;
        left: 0;
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: 0.2s ease all;
        transition: 0.2s ease all;
    }

    .togglebtn span,
    .togglebtn span::before,
    .togglebtn span::after {
        transition: all 0.3s ease-in-out;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        -ms-transition: all 0.3s ease-in-out;
        border-radius: 0;
        border-radius: 2px;
    }

    .togglebtn span,
    .togglebtn span::before,
    .togglebtn span::after {
        background-color: #ffffff;
    }

    .fixed-header .togglebtn span,
    .fixed-header .togglebtn span::before,
    .fixed-header .togglebtn span::after {
        background-color: #ffffff;
    }

    .togglebtn {
        position: fixed;
        right: 25px;
        top: 33px;
        display: block;
        text-align: center;
        width: 24px;
        height: 19px;
        border: 0 solid var(--themeyellow);
        border-radius: 4px;
        cursor: pointer !important;
        z-index: 1001;
        padding: 0 0;
        background-color: #eb2c3200;
    }

    .fixed-header .togglebtn {
        top: 33px;
    }

    .togglebtn.active span::before {
        -webkit-transform: rotate(45deg) translateY(0);
        transform: rotate(45deg) translateY(0);
        width: 22px;
        top: 6px;
    }

    .togglebtn.active span::after {
        -webkit-transition-delay: 0.09s;
        width: 22px;
        top: 6px;
        transition-delay: 0.09s;
        -webkit-transform: rotate(45deg) translateY(0);
        transform: rotate(-45deg) translateY(0);
    }

    .togglebtn.active span {
        background-color: transparent !important;
    }

    .overlay.active {
        position: absolute;
        left: 0;
        right: 0;
        background: #0000006e;
        width: 100%;
        height: calc(100vh - 82px);
        bottom: 0;
        top: 82px;
        z-index: 10;
        -webkit-backdrop-filter: blur(5px);
        backdrop-filter: blur(5px);
    }

    .fixed-header .overlay.active,
    .fixed-header .nav-menu-wrapper .main-menu {
        height: calc(100vh - 82px);
    }

    .fixed-header .nav-menu-wrapper .main-menu,
    .fixed-header .overlay.active {
        top: 82px;
    }

    .nav-menu-wrapper {
        display: inline-flex;
        align-items: center;
        flex-grow: 0;
        padding: 0;
    }

    .nav-menu-wrapper .main-menu {
        position: fixed;
        left: auto;
        top: 82px;
        right: 0;
        bottom: 0;
        z-index: 111;
        display: none;
        width: 100%;
        max-width: 450px;
        padding: 20px 30px 0;
        background: #fff;
        height: calc(100% - 82px);
        overflow: auto;
        justify-content: flex-end;
        transform: translate3d(100vw, 0, 0) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
        transform-style: preserve-3d;
        will-change: transform;
        display: flex;
        flex-flow: column;
        justify-content: flex-start;
        align-items: flex-start;
        overflow-y: scroll;
        overflow-x: hidden;
        padding-bottom: 10px;
    }

    .main-menu.active {
        transform: translate3d(0vw, 0, 0) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
        transform-style: preserve-3d;
    }

    .main-menu>li {
        padding: 0;
        display: block !important;
        width: 100%;
        text-align: left;
        height: auto;
        border-bottom: 1px solid rgba(83, 83, 83, 0.3);
    }

    .main-menu>li:last-of-type {
        border-bottom: 0 solid rgba(83, 83, 83, 0.3);
    }

    .nav-menu-wrapper .main-menu>li>a {
        color: #000;
        display: block;
        padding: 15px 0;
        width: 100%;
    }

    .header-right {
        margin-right: 35px;
    }

    .main-menu>li.menu-btn>a {
        padding: 15px 0px;
        font-weight: 600;
        color: #000;
        font-family: var(--sitefonts);
        text-transform: capitalize;
        font-size: 14px;
        letter-spacing: 0px;
        background: transparent;
    }

    .main-menu>li.menu-btn>a>i {
        display: none;
    }

    .nav-menu-wrapper .main-menu>li a:hover {
        color: transparent !important;
    }

    .main-menu>li .submenu {
        position: static;
        min-width: 100%;
        display: none;
        background: transparent;
        padding: 15px;
        visibility: inherit;
        opacity: unset;
        transform: none;
        box-shadow: none;
        margin: 0;
    }

    .nav-menu-wrapper .submenu.menu_level2>li>a:not(.button) {
        padding-left: 0;
    }

    .nav-menu-wrapper .main-menu>li a i.menudrop {
        width: 30px;
        text-align: center;
        position: absolute;
        right: 0;
        top: 10px;
        margin: 0;
        height: 30px;
        line-height: 30px;
        font-size: 18px !important;
    }

    .nav-menu-wrapper .main-menu>li.active>a:after,
    .nav-menu-wrapper .main-menu>li>a:after {
        display: none;
    }

    ul.main-menu li:hover>.submenu {
        display: none;
        opacity: unset;
        visibility: unset;
        -webkit-transform: unset;
        transform: unset;
    }

    ul.main-menu li>.submenu {
        display: none;
        border: 0;
        width: 100%;
    }

    .fixed-header .nav-menu-wrapper .main-menu>li.active>a,
    .fixed-header .nav-menu-wrapper .main-menu>li:hover>a {
        color: var(--themeyellow);
    }

    .fixed-header .nav-menu-wrapper .main-menu>li:hover>a {
        color: var(--themeyellow);
    }

    ul.main-menu .submenu .fa-angle-down.menudrop {
        color: #000;
        display: block !important;
        font-size: 14px;
        right: 0;
    }

    .main-menu>li .submenu {
        padding: 0;
    }

    .nav-menu-wrapper .main-menu>li.isopen>a>i.menudrop {
        transform: rotate(180deg);
        color: var(--themeyellow);
        -webkit-transition: all 0.2s ease-in-out;
        -moz-transition: all 0.2s ease-in-out;
        transition: all 0.2s ease-in-out;
    }

    .main-menu .submenu {
        border-radius: 0;
        width: 100%;
        height: auto;
    }

    li.areas_menu>.submenu {
        width: 100%;
        height: auto;
        padding-left: 10px;
        padding-bottom: 10px;
    }

    ul.areas-list-header {
        column-count: 1;
    }

    .nav-menu-wrapper .main-menu>li.menu-item-has-children>a:after {
        display: none;
    }

    .main-menu .submenu .areas-list-header>li {
        width: 100%;
        margin-bottom: 8px;
        padding-bottom: 8px;

        &:last-child {
            margin-bottom: 0;
        }
    }

    .nav-menu-wrapper .main-menu .areas-list-header>li>a {
        font-size: 16px !important;
        font-weight: bold;
        width: 100%;
        justify-content: flex-start;
        margin-bottom: 0px;
        padding: 0px 28px 0px 0px;
        margin-left: 0;
    }

    .nav-menu-wrapper .main-menu>li a:hover {
        color: #000000 !important;
    }

    ul.services-list-header {
        max-width: 100%;
        padding: 0px;
        width: 100%;
        border: 0;
        background: transparent;
        max-height: 100%;
        overflow-y: unset;
    }

    .main-menu .submenu ul.services-list-header>li {
        padding: 0 0px 0 0px;
        flex-direction: column;
        min-height: auto;
        width: 100%;
    }

    .main-menu .submenu ul.services-list-header>li:not(:last-child) {
        margin-bottom: 15px;
        padding-bottom: 15px;
        border-bottom: 1px solid rgb(0 0 0 / 10%);
        border-radius: 0;
    }

    .main-menu .submenu ul.services-list-header>li>a {
        font-size: 16px;
        padding: 0;
        font-weight: 500;
        position: relative;
        display: inline-block;
        color: #000;
    }

    li.services-menu-list>.submenu .services-menu-img,
    li.services-menu-list>.submenu .header-brand-list,
    .area-list-title {
        display: none;
    }

    ul.main-menu .submenu ul.services-list-header li .submenu.menu_level2 {
        padding: 0;
        overflow: visible;
        margin-top: 8px;

        &>li:last-child {
            margin-bottom: 0;
        }
    }

    ul.main-menu .submenu ul.services-list-header li .submenu.menu_level2 li:has(.service-context-wrap) {
        display: none;
    }

    .service-context-wrap {
        & p {
            padding-right: 15px;
            font-size: 12px;
        }
    }

    .main-menu li>.submenu>li:not(:last-child) {
        margin-bottom: 8px;
    }

    .main-menu .submenu ul.services-list-header>li>a>.img-wrap {
        display: none;
    }

    .main-menu .submenu ul.services-list-header>li>a>p {
        font-size: 12px;
        letter-spacing: 0.24px;
        max-width: 100%;
    }

    .main-menu .submenu ul.services-list-header>li>a:hover,
    .main-menu .submenu ul.services-list-header>li.active>a,
    .main-menu .submenu ul.services-list-header>li.menu-item-hover>a {

        & .service-menu-title,
        & .service-menu-text {
            color: #000;
        }
    }

    ul.main-menu .submenu.menu_level2 {
        padding: 30px;
        max-width: 100%;
        box-shadow: none;
        opacity: unset;
        visibility: unset;
        transform: none;
        height: unset;
        display: none;
    }

    .nav-menu-wrapper .main-menu>li>a:not(.button) {
        font-size: 16px !important;
        padding: 16px 0;
    }

    .main-menu>li {
        &>a>i {
            margin-left: 8px;
        }
    }

    .nav-menu-wrapper .main-menu>li a:not(.button) {
        font-size: 14px;
        color: #000;
    }

    .main-menu .submenu ul.services-list-header>li>a::after {
        display: none;
    }

    li.services-menu-list>.submenu {
        min-height: auto;

        &:after {
            display: none;
        }
    }

    .main-menu .submenu ul.services-list-header>li>a>i.menudrop {
        display: block;
        top: 0;
        height: 10px;
        width: 10px;
        line-height: 1;
    }


    img.side-sticky-img {
        display: none;
    }

    .service-list-wraper {
        padding: 15px;
        max-width: 100%;
        border-right: none;
    }

    .menu-cta {
        display: none;
    }

    ul.services-list-header {
        &:after {
            display: none;
        }
    }

    ul.main-menu>li.about-menu {
        & .submenu {
            background: transparent;
            padding: 0 0 0 15px;

            & .list-header>li {
                padding-bottom: 0px;
                border-bottom: 0px dashed rgb(185 152 49 / 20%);
                margin-bottom: 15px;
            }
        }
    }

    .nav-logo {
        min-width: 250px;
        width: 250px;
    }

    .top-header {
        &>.flex-container {
            & .header-address-wrap {
                display: none;
            }
        }
    }

    .nav-menu-wrapper .main-menu ul.areas-list-header>li>a::after {
        height: 17px;
        width: 14px;
        top: -1px;
    }

    .nav-menu-wrapper .main-menu ul.areas-list-header>li>a {
        padding-left: 20px;
    }
}

@media (max-width: 767.98px) {

    .togglebtn {
        right: 15px;
        top: 30px;

    }

    .top-header .container {
        max-width: 100%;
    }

    .nav-logo {
        min-width: 200px;
        width: 200px;
    }

    .header-right {
        margin-right: 40px;
    }

    .fixed-header .nav-menu-wrapper .main-menu,
    .fixed-header .overlay.active {
        top: 75px;
    }
}

@media (max-width: 575.98px) {
    .togglebtn {
        top: 70px;
        right: 15px;
    }

    .fixed-header .togglebtn {
        top: 70px;
    }

    .overlay.active {
        top: 111px;
        height: calc(100vh - 111px);
    }

    .nav-menu-wrapper .main-menu {
        top: 111px;
        height: calc(100% - 111px);
        max-width: 100%;
        padding: 15px 15px;
    }

    .fixed-header .nav-menu-wrapper .main-menu,
    .fixed-header .overlay.active {
        top: 111px;
    }

    .fixed-header .overlay.active,
    .fixed-header .nav-menu-wrapper .main-menu {
        height: calc(100vh - 111px);
    }

    .top-header {
        padding-block: 0;

        &>.flex-container {
            flex-wrap: wrap;
            padding: 0;
        }
    }

    .nav-logo {
        padding: 60px 15px 15px 15px;
    }

    .header-right {
        position: absolute;
        top: 0;
        width: 100%;
        margin: 0;
        padding: 0;

        & .btnlist {
            width: 100%;
            gap: 0;

            & a {
                flex: 1;
                min-height: 40px;
                padding: 10px 5px;
                border-radius: 0 !important;
                min-width: auto;

                &>img {
                    display: block;
                }
            }
        }
    }

    .header-right .btnlist>.btn-theme:hover {
        background: var(--themeyellow);
        color: #fff !important;
    }

    .h_wrapper {
        max-width: 100%;
        width: 100%;
        padding: 0 0px;
    }

    .nav-menu-wrapper .main-menu>li>a:not(.button) {
        font-size: 14px !important;
        padding: 14px 0;
    }

    .main-menu .submenu ul.services-list-header>li>a,
    .nav-menu-wrapper .main-menu .areas-list-header>li>a {
        font-size: 14px !important;
    }

    .main-menu .submenu ul.services-list-header>li:not(:last-child) {
        margin-bottom: 10px;
        padding-bottom: 10px;
    }

    .nav-menu-wrapper .main-menu ul.areas-list-header>li>a::after {
        height: 15px;
        width: 13px;
        top: -1px;
    }

    .main-menu .submenu .areas-list-header>li {
        margin-bottom: 6px;
        padding-bottom: 6px;
    }
}

@-webkit-keyframes fadeInDown {
    0% {
        -webkit-transform: translate3d(0, -100%, 0);
        opacity: 0;
        transform: translate3d(0, -100%, 0);
    }

    to {
        -webkit-transform: translateZ(0);
        opacity: 1;
        transform: translateZ(0);
    }
}

@keyframes fadeInDown {
    0% {
        -webkit-transform: translate3d(0, -100%, 0);
        opacity: 0;
        transform: translate3d(0, -100%, 0);
    }

    to {
        -webkit-transform: translateZ(0);
        opacity: 1;
        transform: translateZ(0);
    }
}

.fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
}

@media (hover: hover) {
    .nav-menu-links ul.main-menu>li.has-sub:hover>a:after {
        content: "";
        position: absolute;
        bottom: -28px;
        left: 50%;
        margin-left: -12px;
        width: 0;
        height: 0;
        border-left: 6px solid transparent;
        border-right: 6px solid transparent;
        border-bottom: 6px solid #01aeef;
        clear: both;
    }

    .nav-menu-links ul.main-menu>li>a:hover,
    .nav-menu-links ul.main-menu>li.active>a {
        text-decoration: none !important;
        transform: none !important;
        box-shadow: none !important;
    }
}